Bug 66386 - Cannot run make clean.
Summary: Cannot run make clean.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-09 16:23 UTC by Barry
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 20:30:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Barry 2002-06-09 16:23:45 UTC
Description of Problem:

Ran make menuconfig, checked all parameters correct for USB and PPP as I want 
to compile kernel for PPPoA use.

Ran make dep OK.
Ran make clean, see output below.


Version-Release number of selected component (if applicable):
Redhat 7.2 installed out of the box as Server.


How Reproducible:

Easy.


Steps to Reproduce:
1. 
Compile new kernel having made no changes to current kernel config from make 
menuconfig.
2. 
3. 

Actual Results:

gcc -D__KERNEL__ -I/usr/src/linux-2.4.7-10/include -Wall -Wstrict-prototypes -
Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-
unused -pipe -mpreferred-stack-boundary=2 -march=i386    -c -o dma.o dma.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.7-10/include -Wall -Wstrict-prototypes -
Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-
unused -pipe -mpreferred-stack-boundary=2 -march=i386    -DEXPORT_SYMTAB -c 
fork.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.7-10/include -Wall -Wstrict-prototypes -
Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-
unused -pipe -mpreferred-stack-boundary=2 -march=i386    -DEXPORT_SYMTAB -c 
exec_domain.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.7-10/include -Wall -Wstrict-prototypes -
Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-
unused -pipe -mpreferred-stack-boundary=2 -march=i386    -c -o panic.o panic.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.7-10/include -Wall -Wstrict-prototypes -
Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-
unused -pipe -mpreferred-stack-boundary=2 -march=i386    -DEXPORT_SYMTAB -c 
printk.c
printk.c: In function `printk':
printk.c:455: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [printk.o] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.7-10/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.7-10/kernel'
make: *** [_dir_kernel] Error 2

Expected Results:

Clean make

Additional Information:

Comment 1 Jakub Jelinek 2002-06-10 06:48:11 UTC
Is this reproduceable always on the same file same error? If yes, please
attach printk.i, otherwise check out your hardware.

Comment 2 Barry 2002-06-10 10:27:38 UTC
Bug happened after saving a new kernel for ppp and atm support, options were 
already ticked in menuconfig so I just exited and saved the kernel.

Ran make dep

Then make clean 

at this point it barfed

PC is Intel p133 based system, 2940 scsi controller, 3com 3c509 lan card, s3 
video, 128mb ram.

I have been running redhat 72 without a hitch until I tried to do the kernel 
make.

Barry.

Comment 3 Jakub Jelinek 2004-10-02 20:30:50 UTC
Preprocessed testcase has not been attached, assuming a hardware problem.


Note You need to log in before you can comment on or make changes to this bug.